=head1 NAME

Gtk2::TreeViewColumn

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::TreeViewColumn

=head1 INTERFACES

  Gtk2::CellLayout
  Gtk2::Buildable


=head1 METHODS

=head2 treeviewcolumn = Gtk2::TreeViewColumn-E<gt>B<new> 

=over

=back

=head2 treeviewcolumn = Gtk2::TreeViewColumn->B<new_with_attributes> ($title, $cell, $attr1, $col1, ...)

=over

=over

=item * $title (string) 

=item * $cell (Gtk2::CellRenderer) 

=item * ... (list) pairs of attributes and columns

=item * $col1 (integer) the first column

=item * $attr1 (string) the first attribute

=back



=back

=head2 $tree_column-E<gt>B<add_attribute> ($cell_renderer, $attribute, $column)

=over

=over

=item * $cell_renderer (Gtk2::CellRenderer) 

=item * $attribute (string) 

=item * $column (integer) 

=back

=back

=head2 double = $tree_column-E<gt>B<get_alignment> 

=over

=back

=head2 $tree_column-E<gt>B<set_alignment> ($xalign)

=over

=over

=item * $xalign (double) 

=back

=back

=head2 $tree_column-E<gt>B<set_attributes> ($cell_renderer, ..., $col1, $attr1)

=over

=over

=item * $cell_renderer (Gtk2::CellRenderer) 

=item * ... (list) pairs of attributes and columns

=item * $col1 (integer) the first column

=item * $attr1 (string) the first attribute

=back



=back

=head2 $tree_column-E<gt>B<set_cell_data_func> ($cell_renderer, $func, $data=undef)

=over

=over

=item * $cell_renderer (Gtk2::CellRenderer) 

=item * $func (subroutine) 

=item * $data (scalar) 

=back

Install I<$func> as the callback to be used whenever I<$column> needs to set up
I<$cell> to render a cell.  I<$func> should look like this:

  sub cell_data_func {
    my ($column, $cell, $model, $iter, $func_data) = @_;
  }

and should set whatever properties of I<$cell> are required for it to draw
the data properly.  No return value is expected.

=back

=head2 (start_pos, width) = $tree_column-E<gt>B<cell_get_position> ($cell_renderer)

=over

=over

=item * $cell_renderer (Gtk2::CellRenderer) 

=back

Since: gtk+ 2.2

=back

=head2 list = $tree_column-E<gt>B<cell_get_size> 

=over

=back

=head2 boolean = $tree_column-E<gt>B<cell_is_visible> 

=over

=back

=head2 list = $tree_column-E<gt>B<get_cell_renderers> 

=over

Returns a list of Gtk2::CellRenderer's.

=back

=head2 $tree_column-E<gt>B<cell_set_cell_data> ($tree_model, $iter, $is_expander, $is_expanded)

=over

=over

=item * $tree_model (Gtk2::TreeModel) 

=item * $iter (Gtk2::TreeIter) 

=item * $is_expander (boolean) 

=item * $is_expanded (boolean) 

=back

=back

=head2 $tree_column-E<gt>B<clear> 

=over

=back

=head2 $tree_column-E<gt>B<clear_attributes> ($cell_renderer)

=over

=over

=item * $cell_renderer (Gtk2::CellRenderer) 

=back

=back

=head2 boolean = $tree_column-E<gt>B<get_clickable> 

=over

=back

=head2 $tree_column-E<gt>B<set_clickable> ($clickable)

=over

=over

=item * $clickable (boolean) 

=back

=back

=head2 $tree_column-E<gt>B<clicked> 

=over

=back

=head2 boolean = $tree_column-E<gt>B<get_expand> 

=over

Since: gtk+ 2.4

=back

=head2 $tree_column-E<gt>B<set_expand> ($expand)

=over

=over

=item * $expand (boolean) 

=back

Since: gtk+ 2.4

=back

=head2 integer = $tree_column-E<gt>B<get_fixed_width> 

=over

=back

=head2 $tree_column-E<gt>B<set_fixed_width> ($fixed_width)

=over

=over

=item * $fixed_width (integer) 

=back

=back

=head2 $tree_column-E<gt>B<focus_cell> ($cell)

=over

=over

=item * $cell (Gtk2::CellRenderer) 

=back

Since: gtk+ 2.2

=back

=head2 integer = $tree_column-E<gt>B<get_max_width> 

=over

=back

=head2 $tree_column-E<gt>B<set_max_width> ($max_width)

=over

=over

=item * $max_width (integer) 

=back

=back

=head2 integer = $tree_column-E<gt>B<get_min_width> 

=over

=back

=head2 $tree_column-E<gt>B<set_min_width> ($min_width)

=over

=over

=item * $min_width (integer) 

=back

=back

=head2 $tree_column-E<gt>B<pack_end> ($cell, $expand)

=over

=over

=item * $cell (Gtk2::CellRenderer) 

=item * $expand (boolean) 

=back

=back

=head2 $tree_column-E<gt>B<pack_start> ($cell, $expand)

=over

=over

=item * $cell (Gtk2::CellRenderer) 

=item * $expand (boolean) 

=back

=back

=head2 $tree_column-E<gt>B<queue_resize> 

=over

Since: gtk+ 2.8

=back

=head2 boolean = $tree_column-E<gt>B<get_reorderable> 

=over

=back

=head2 $tree_column-E<gt>B<set_reorderable> ($reorderable)

=over

=over

=item * $reorderable (boolean) 

=back

=back

=head2 boolean = $tree_column-E<gt>B<get_resizable> 

=over

=back

=head2 $tree_column-E<gt>B<set_resizable> ($resizable)

=over

=over

=item * $resizable (boolean) 

=back

=back

=head2 treeviewcolumnsizing = $tree_column-E<gt>B<get_sizing> 

=over

=back

=head2 $tree_column-E<gt>B<set_sizing> ($type)

=over

=over

=item * $type (Gtk2::TreeViewColumnSizing) 

=back

=back

=head2 integer = $tree_column-E<gt>B<get_sort_column_id> 

=over

=back

=head2 $tree_column-E<gt>B<set_sort_column_id> ($sort_column_id)

=over

=over

=item * $sort_column_id (integer) 

=back

=back

=head2 boolean = $tree_column-E<gt>B<get_sort_indicator> 

=over

=back

=head2 $tree_column-E<gt>B<set_sort_indicator> ($setting)

=over

=over

=item * $setting (boolean) 

=back

=back

=head2 sorttype = $tree_column-E<gt>B<get_sort_order> 

=over

=back

=head2 $tree_column-E<gt>B<set_sort_order> ($order)

=over

=over

=item * $order (Gtk2::SortType) 

=back

=back

=head2 integer = $tree_column-E<gt>B<get_spacing> 

=over

=back

=head2 $tree_column-E<gt>B<set_spacing> ($spacing)

=over

=over

=item * $spacing (integer) 

=back

=back

=head2 string = $tree_column-E<gt>B<get_title> 

=over

=back

=head2 $tree_column-E<gt>B<set_title> ($title)

=over

=over

=item * $title (string) 

=back

=back

=head2 widget or undef = $tree_column-E<gt>B<get_tree_view> 

=over

Since: gtk+ 2.12

=back

=head2 boolean = $tree_column-E<gt>B<get_visible> 

=over

=back

=head2 $tree_column-E<gt>B<set_visible> ($visible)

=over

=over

=item * $visible (boolean) 

=back

=back

=head2 widget or undef = $tree_column-E<gt>B<get_widget> 

=over

=back

=head2 $tree_column-E<gt>B<set_widget> ($widget)

=over

=over

=item * $widget (Gtk2::Widget or undef) 

=back

=back

=head2 integer = $tree_column-E<gt>B<get_width> 

=over

=back


=head1 PROPERTIES

=over

=item 'alignment' (Glib::Float : readable / writable / private)

X Alignment of the column header text or widget

=item 'clickable' (boolean : readable / writable / private)

Whether the header can be clicked

=item 'expand' (boolean : readable / writable / private)

Column gets share of extra width allocated to the widget

=item 'fixed-width' (integer : readable / writable / private)

Current fixed width of the column

=item 'max-width' (integer : readable / writable / private)

Maximum allowed width of the column

=item 'min-width' (integer : readable / writable / private)

Minimum allowed width of the column

=item 'reorderable' (boolean : readable / writable / private)

Whether the column can be reordered around the headers

=item 'resizable' (boolean : readable / writable / private)

Column is user-resizable

=item 'sizing' (Gtk2::TreeViewColumnSizing : readable / writable / private)

Resize mode of the column

=item 'sort-indicator' (boolean : readable / writable / private)

Whether to show a sort indicator

=item 'sort-order' (Gtk2::SortType : readable / writable / private)

Sort direction the sort indicator should indicate

=item 'spacing' (integer : readable / writable / private)

Space which is inserted between cells

=item 'title' (string : readable / writable / private)

Title to appear in column header

=item 'visible' (boolean : readable / writable / private)

Whether to display the column

=item 'widget' (Gtk2::Widget : readable / writable / private)

Widget to put in column header button instead of column title

=item 'width' (integer : readable / private)

Current width of the column

=back


=head1 SIGNALS

=over

=item B<clicked> (Gtk2::TreeViewColumn)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::SortType

=over

=item * 'ascending' / 'GTK_SORT_ASCENDING'

=item * 'descending' / 'GTK_SORT_DESCENDING'

=back


=head2 enum Gtk2::TreeViewColumnSizing

=over

=item * 'grow-only' / 'GTK_TREE_VIEW_COLUMN_GROW_ONLY'

=item * 'autosize' / 'GTK_TREE_VIEW_COLUMN_AUTOSIZE'

=item * 'fixed' / 'GTK_TREE_VIEW_COLUMN_FIXED'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

